<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd" >
<mapper namespace="com.cool.store.mapper.EnterpriseUserGroupMappingMapper">

    <select id="getUserIdsByGroupIdList" resultType="string">
        select
        user_id
        from enterprise_user_group_mapping_${enterpriseId}
        where group_id in (
        <foreach collection="groupIdList" item="groupId" separator=",">
            #{groupId}
        </foreach>
        )
    </select>

</mapper>